<?php
session_start();
ob_start();

if (!isset($_GET['id'])) {
    echo "Favor de seleccionar una remision";
    return;
}


$idRem = $_GET['id'];

require_once "../../../config/database.php";
include "../../../config/fungsi_tanggal.php";
include "../../../config/fungsi_rupiah.php";

function delete_files($folder_path){
        $files = glob($folder_path.'/*');

        foreach($files as $file)
        {
            if(is_file($file)) unlink($file);
        }
    }

$queryclose = mysqli_query($mysqli, "SELECT apertura FROM apertura_cierre where id = 1") 
or die('error: '.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryclose);
$data  = mysqli_fetch_assoc($queryclose);
$bandera = $data['apertura'];
/*print_r($bandera);
die();*/

if($bandera == 'CERRADO') {
	echo '<script>
                alert("EL ALMACEN SE ENCUENTRA CERRADO POR INVENTARIO DEL SUPERVISOR");
                window.location = "http://inventarios.sanmatias.mx/cdc/main.php?module=closed";
          </script>';     
    return;
}



//Query 

$queryvalid = mysqli_query($mysqli, "
SELECT status FROM remision_encabezado WHERE id = $idRem ")
or die('Error '.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryvalid);
$data  = mysqli_fetch_assoc($queryvalid);
/*print_r($data);
die();*/
$sta_val = $data['status'];

	if($sta_val != 'A' ) {
    echo "Selecciona nueva remision";
    return;
} 



$created_user = $_SESSION['id_user'];

//Query Details of Remision
$queryDet = mysqli_query($mysqli, "
    SELECT r.*, u.name_user 
    FROM remision_detalle as r
        left join usuarios as u on u.id_user = r.created_user
    WHERE idenc = '$idRem' ")
        or die('Error '.mysqli_error($mysqli));
$banDet = 0;
while ($data = mysqli_fetch_assoc($queryDet)) {
  $queryProd = mysqli_query($mysqli, "
        SELECT codigo, nombre, unidad, stock 
        FROM medicamentos 
        WHERE codigo = '$data[codigo]' ")
            or die('error '.mysqli_error($mysqli));
  $prd = mysqli_fetch_assoc($queryProd);
  
 
  
  
  //Validate Stock of Product
  if($prd['stock'] < $data['cantidad']) {    
    echo "Existencia insuficiente para el producto $data[codigo] - $prd[nombre] <br> 
          Stock: $prd[stock], Cantidad Remision: $data[cantidad]";
    $banDet = 1;
  }
}

if($banDet == 1)
  return;

//Get Max Folio + 1
$query = mysqli_query($mysqli, "SELECT IFNULL(MAX(folio),0) + 1 as folio FROM transaccion_medicamentos_enc")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($query);
$data  = mysqli_fetch_assoc($query);
$folio = $data['folio'];



//Insert in table transaccion_medicamentos_enc
$query = mysqli_query($mysqli, "
   INSERT INTO transaccion_medicamentos_enc(folio, fecha, created_user, nombre, status, observacion_enc,txtCorreo,txtMotivo) 
    SELECT '$folio', fecha, created_user, nombre, 'A', observacion_enc, txtCorreo,txtMotivo
    FROM remision_encabezado 
    WHERE id = '$idRem' ")
    or die('error '.mysqli_error($mysqli));


//Get Last Insert Id
$query = mysqli_query($mysqli, "SELECT MAX(id) as idenc FROM transaccion_medicamentos_enc")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($query);
$data  = mysqli_fetch_assoc($query);
$idenc = $data['idenc'];

//Get Last Detail Id
$query_id = mysqli_query($mysqli, "
    SELECT RIGHT(codigo_transaccion,6) as codigo 
    FROM transaccion_medicamentos
    ORDER BY codigo_transaccion DESC LIMIT 1")
        or die('Error : '.mysqli_error($mysqli));
$data_id = mysqli_fetch_assoc($query_id);      
$codigo = $data_id['codigo'] + 1;
$tahun  = date("Y");

//Query Details of Remision
$queryDet = mysqli_query($mysqli, "
    SELECT r.*, u.name_user 
    FROM remision_detalle as r
        left join usuarios as u on u.id_user = r.created_user
    WHERE idenc = '$idRem' ")
        or die('Error '.mysqli_error($mysqli));
//Insert rows in table transaccion_medicamentos
while ($data = mysqli_fetch_assoc($queryDet)) {
    $buat_id = str_pad($codigo, 6, "0", STR_PAD_LEFT);
    $codigo_transaccion = "TR-$tahun-$buat_id";
	
	

    $queryPrd = mysqli_query($mysqli, "
        INSERT INTO transaccion_medicamentos(codigo_transaccion, fecha, codigo, numero, created_user, tipo_transaccion, observaciones, nombre_entrega, status, idenc) 
        VALUES('$codigo_transaccion', '$data[fecha]', '$data[codigo]', '$data[cantidad]', '$data[created_user]', 'Salida', '$data[observaciones]', '$data[name_user]', 'A', '$idenc' )")
        or die('Error: '.mysqli_error($mysqli));  
    if ($queryPrd) {            
        $queryExi = mysqli_query($mysqli, "
            UPDATE medicamentos SET stock = stock - '$data[cantidad]'
            WHERE codigo   = '$data[codigo]' ")
                or die('Error: '.mysqli_error($mysqli));
    }

    $codigo = $codigo + 1;
}



/**************************************/


//Update idenc in table remision_encabezado
$query = mysqli_query($mysqli, "
    UPDATE remision_encabezado SET idSalida = '$idenc', status = 'S' WHERE id = '$idRem' ")
    or die('error: '.mysqli_error($mysqli));
	
		//Update TRANSITO in table remision_DETALLE
$query = mysqli_query($mysqli, "
    UPDATE remision_detalle SET transito = 'S' WHERE idenc = '$idRem' ")
    or die('error: '.mysqli_error($mysqli));


//Query Encabezado
$queryEnc = mysqli_query($mysqli, "
    SELECT e.*
    FROM transaccion_medicamentos_enc as e
    WHERE e.id = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_encabezado=mysqli_fetch_array($queryEnc);        

$hari_ini = date("d-m-Y");
$no = 1;

//Query detalle
$querydet = mysqli_query($mysqli, "
    SELECT c.name_user, b.*
    FROM transaccion_medicamentos as b , usuarios as c
    where b.created_user = c.id_user
    and b.idenc = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_detalle=mysqli_fetch_array($querydet);


$query = mysqli_query($mysqli, "
    SELECT a.tipo_transaccion, a.codigo_transaccion, a.fecha, a.codigo, a.numero, b.codigo, b.nombre, b.unidad, a.observaciones, a.created_user, c.username, a.nombre_entrega
    FROM transaccion_medicamentos as a
      INNER JOIN medicamentos as b ON a.codigo=b.codigo and a.tipo_transaccion='Salida'
      INNER JOIN usuarios as c on a.created_user = c.id_user 
    WHERE a.idenc = '$idenc'
    ORDER BY codigo_transaccion")
        or die('Error '.mysqli_error($mysqli));
		
		
		//Query Encabezado
$queryEnc = mysqli_query($mysqli, "
    SELECT e.* FROM remision_encabezado as e WHERE e.idSalida = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_encabezado_rem=mysqli_fetch_array($queryEnc);   
$foliorem = $rw_encabezado_rem['folio']; 
//Query parametros perfil
$queryperfil = mysqli_query($mysqli, "SELECT * FROM perfil")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryperfil);
$data_perfil  = mysqli_fetch_assoc($queryperfil);
$folio_perfil = $data_perfil['folio'];
$nombre_perfil = $data_perfil['nombre_empresa'];
$direccion_perfil = $data_perfil['direccion'];
$direccion_perfil = $data_perfil['direccion'];
$email_perfil = $data_perfil['email'];
$almacen_perfil = $data_perfil['almacen'];
$almacenista_perfil = $data_perfil['almacenista'];

//insertar nombre de quien recibe
$queryrecibe = mysqli_query($mysqli, "
SELECT b.nombre FROM remision_encabezado as a,correos as b WHERE a.txtCorreo = b.tipo and a.id = $idRem ")
or die('Error '.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryrecibe);
$data  = mysqli_fetch_assoc($queryrecibe);
/*print_r($data);
die();*/
$recibe = $data['nombre'];

?>
<html xmlns="http://www.w3.org/1999/xhtml"> 
    <head>
	 
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <title></title>
        <link rel="stylesheet" type="text/css" href="../../../assets/css/laporan.css" />       
    </head>
    <body>
	 
            <div id="myHeader" align="right">
         

		 
			</div>  
			   
		
			<?php
		/*	echo "<img src='http://".$_SERVER['HTTP_HOST']."/images/logo.png' border='0' width='150' height='70' align=\"left\"><br>"; */					 
			 ?>
			 
			  

		<br>
        <br>
		<br>
        <br>
		<br>
        <br>
		   
        <div id="myHeader">
		
	
		<table width="500px" cellpadding="5px" cellspacing="5px" border="1" style="color: #ffffff;">
    <tr bgcolor="#005a6f">
        <td>RAZON SOCIAL </td>
        <td>DEPARTAMENTO</td>
		<td>ALMACENISTA</td>
        <td>DOCUMENTO</td>
        <td>FECHA</td>
		 <td>FOLIO</td>
    </tr>
    <tr style="color: #ffffff;" style="color: #000000 ;">
        <td align='center'> <?php echo $data_perfil['nombre_empresa'];?> <br><br></td>
		 <td align='center' > <?php echo $data_perfil['almacen'];?> </td>
		 <td align='center'> <?php echo $data_perfil['almacenista'];?> </td>
        <td align='center'>SALIDA</td>
        <td align='center'><?php echo $rw_encabezado['fecha']?></td>
        <td align='center'style='color:#ff0000;font-size:100%;font-weight:bold;'> <?php echo $folio_perfil;?> - <?php echo$rw_encabezado['folio'];?>	</td>
    </tr>
 
</table><br/>

	
		<table width="500px" cellpadding="5px" cellspacing="5px" border="1" style="color: #ffffff;">
    <tr bgcolor="#005a6f">
        <td>AUTORIZA</td>
        <td>MOTIVO DE SALIDA</td>
	
    </tr>
    <tr style="color: #ffffff;" style="color: #000000 ;">
        <td align='center'> <?php echo $rw_detalle['name_user'];?> <br><br></td>
		 <td align='center' > <?php echo $rw_encabezado['txtMotivo'];?></td>
	
    </tr>
 
</table><br/>

 <!---
	<table width="500px" cellpadding="5px" cellspacing="5px" border="1" style="color: #ffffff;">
    <tr bgcolor="#005a6f">
        <td>PERSONA QUE AUTORIZO Y GENERO LA REMISION PARA SU SALIDA___________________________________</td>
    
    </tr>
    <tr style="color: #ffffff;" style="color: #000000 ;">
     
        <td><?php echo $rw_detalle['name_user'];?>
		<br><br>
		</td>
		
       
    </tr>
 
</table><br/>
 
	<table width="500px" cellpadding="5px" cellspacing="5px" border="1" style="color: #ffffff;">
    <tr bgcolor="#005a6f">
        <td>MOTIVO DE LA SALIDA__________________________________________________________________________</td>
    
    </tr>
    <tr style="color: #ffffff;" style="color: #000000 ;">
     
        <td><?php echo $rw_encabezado['txtMotivo'];?>
		<br><br>
		</td>
		
       
    </tr>
 
</table><br/>

-->
 
		<table width="500px" cellpadding="5px" cellspacing="5px" border="1" style="color: #ffffff;">  '
    <tr bgcolor="#005a6f">
        <td>DETALLE DE LA SALIDA <?php echo $rw_encabezado['serie'] . $rw_encabezado['folio'];?> RELACIONADO CON LA REMISION REM-<?php echo $foliorem;?> </td>
  
    </tr>

 
</table><br/>	



        <?php
           $sql_usuario=mysqli_query($mysqli,"select * from usuarios WHERE id_user='$_SESSION[id_user]' ");
           $rw_usuario=mysqli_fetch_array($sql_usuario);
               			   
			  // echo  "<div align=\"right\" style='color:#ff0000;font-size:100%;font-weight:bold;'>$rw_encabezado[serie]$rw_encabezado[folio]</div><br>";
			  // echo  "<div align=\"right\" style='font-size:100%;font-weight:bold;'>$rw_encabezado[fecha]</div><br>";  
			  // echo  "<div align=\"left\" style='font-size:90%;font-weight:bold;'>AUTORIZA: $rw_detalle[name_user]</div><br>";
			  // echo  "<div align=\"left\" style='font-size:90%;font-weight:bold;'>OBSERVACION GENERAL: $rw_encabezado[observacion_enc]</div>";
         echo "<br>";
        ?>
        </div>

        <div id="myHeader">		
            <table width="100%" border="0.3" cellpadding="0" cellspacing="0">
                <thead style="background:#e8ecee">
                    <tr class="tr-title">
				  <th height="15" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>PARTIDA</small></th>
				  <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>CANTIDAD</small></th>
				  <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>ARTICULO</small></th>
				  <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>CODIGO</small></th>
                  <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>TRANS</small></th>       
                       
                    </tr>
                </thead>
                <tbody>
              <br>  
             <br>
             <br>
        <?php
        while ($data = mysqli_fetch_assoc($query)) {
            echo "  <tr>
                         <td width='20' height='13' align='center' valign='middle' style='font-size:80%;'>$no</td>
						 <td style='padding-right:10px;' width='30' height='13' align='center' valign='middle'style='font-size:80%;'>$data[numero]</td>
						 <td style='padding-left:5px;' width='380' height='13' valign='middle'style='font-size:80%;'>$data[nombre]</td>
						 <td width='145' height='13' align='center' valign='middle'style='font-size:80%;'>$data[codigo]</td>
                         <td width='100' height='13' align='center' valign='middle'style='font-size:80%;'>$data[codigo_transaccion]</td>
                                 
			
                    </tr>";
            $no++;
        }
        ?>  
                </tbody>
            </table>            
        </div>
		
		
<?php

echo "<br>";    
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";    
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";


?>


	<table width="500px" cellpadding="5px" cellspacing="5px" border="1" style="color: #ffffff;">
    <tr bgcolor="#005a6f">
        <td>OBSERVACIONES___________________________________________________________</td>
        <td>FIRMA DE RECIBIDO</td>
    </tr>
    <tr style="color: #ffffff;" style="color: #000000 ;">
     
        <td><?php echo $rw_encabezado['observacion_enc'];?>
		<br><br><br><br><br><br>
		</td>
		<td><br><br><br>   <?php echo $recibe ?><br><br><br>
		
		</td>
       
    </tr>
 
</table><br/>

    </body>
</html>

<?php
$filename="$folio_perfil-$idenc.pdf"; 


//==========================================================================================================
$content = ob_get_clean();
$content = '<page style="font-family: freeserif">'.($content).'</page>';

require_once('../../../assets/plugins/html2pdf_v4.03/html2pdf.class.php');
try
{
    $html2pdf = new HTML2PDF('P','F4','en', false, 'ISO-8859-15',array(10, 10, 10, 10));
    $html2pdf->setDefaultFont('Arial');
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    //$html2pdf->Output($filename);
	$html2pdf->Output($filename);
	$html2pdf->Output('./mailer/src/pdf/'.$filename, 'F');
}
catch(HTML2PDF_exception $e) { echo $e; }
require 'mailer/src/enviar_salida.php';
delete_files('./mailer/src/pdf')
?>